/****************************************************************************
*                                             COPYRIGHT (c) MOTOROLA 2000   
* FILE NAME: basic.h                                                        
*                                                                           
* PURPOSE: header file for basic.c      		 							 
*                                                                           
*  ***********************************************************************  
*  *  THIS CODE IS ONLY INTENDED AS AN EXAMPLE OF CODE FOR THE           *  
*  *  METROWERKS COMPILER AND THE STAR12 EVB AND HAS ONLY BEEN GIVEN A   *  
*  *  MIMIMUM LEVEL OF TEST. IT IS PROVIDED 'AS SEEN' WITH NO GUARANTEES *  
*  *  AND NO PROMISE OF SUPPORT.                                         *  
*  ***********************************************************************  
*                                                                           
*                                                                           
* DESCRIPTION:  definitions for 'basic' application parameters 			 
*                                                                           
*                                                                           
*                                                                           
* AUTHOR: Martyn Gallop    LOCATION: EKB Apps     LAST EDIT DATE: 24.07.01  
*                                                                           
* UPDATE HISTORY                                                            
* REV      AUTHOR       DATE       DESCRIPTION OF CHANGE                    
* ---      ------      ---------   ---------------------                    
* 1.0      M.Gallop    15/07/01	   Original coding                                      
*
*                                                                           
******************************************************************************/                                                                        


/*===========================================================================*/
/* Motorola reserves the right to make changes without further notice to any */
/* product herein to improve reliability, function, or design. Motorola does */
/* not assume any  liability arising  out  of the  application or use of any */
/* product,  circuit, or software described herein;  neither  does it convey */
/* any license under its patent rights  nor the  rights of others.  Motorola */
/* products are not designed, intended,  or authorized for use as components */
/* in  systems  intended  for  surgical  implant  into  the  body, or  other */
/* applications intended to support life, or  for any  other application  in */
/* which the failure of the Motorola product  could create a situation where */
/* personal injury or death may occur. Should Buyer purchase or use Motorola */
/* products for any such intended  or unauthorized  application, Buyer shall */
/* indemnify and  hold  Motorola  and its officers, employees, subsidiaries, */
/* affiliates,  and distributors harmless against all claims costs, damages, */
/* and expenses, and reasonable  attorney  fees arising  out of, directly or */
/* indirectly,  any claim of personal injury  or death  associated with such */
/* unintended or unauthorized use, even if such claim alleges that  Motorola */
/* was negligent regarding the  design  or manufacture of the part. Motorola */
/* and the Motorola logo* are registered trademarks of Motorola Ltd.         */
/*****************************************************************************/


/*Include files */

#include <hidef.h>
#include "peripherals.h"

/* additional common definitions  - others can be found in HIDEF.H*/

#define OFF     0
#define ON      1
#define CLEAR 	0
#define SET     1

#define FOREVER 1

#define FAIL			0
#define PASS    		1

/* Function Prototypes */

void main(void);
void ConfigureI2CModule(void);
void MasterTransmitPacket2Slave (tU08);
void MasterReceivePacketFromSlave(tU08);

/* Interrupt service routine Prototypes */

#pragma CODE_SEG NON_BANKED

void _dummyISR(void);

#pragma CODE_SEG DEFAULT
